<?php
/*
* @info Платёжный модуль Z-Payment для JoomShopping
* @package JoomShopping for Joomla!
* @subpackage payment
* @author Z-Payment.com
*/

defined('_JEXEC') or die('Restricted access');

class pm_zpayment extends PaymentRoot
{
	function showPaymentForm($params, $pmconfigs)
	{
		include(dirname(__FILE__).'/paymentform.php');
	}


	function loadLanguageFile()
	{
		$lang = JFactory::getLanguage();
		$langtag = $lang->getTag();

		if (file_exists(JPATH_ROOT.'/components/com_jshopping/payments/pm_zpayment/lang/'.$langtag.'.php')) {
			require_once(JPATH_ROOT.'/components/com_jshopping/payments/pm_zpayment/lang/'.$langtag.'.php');
		} else {
			require_once(JPATH_ROOT.'/components/com_jshopping/payments/pm_zpayment/lang/en-GB.php'); //если языковый файл не найден, то подключаем en-GB.php
		}
	}

		function showAdminFormParams($params)
	{
		$array_params = array('zpayment_shop', 'zpayment_merchant_key', 'zpayment_init_pass',  'transaction_end_status', 'transaction_pending_status', 'transaction_failed_status');

		foreach ($array_params as $key) {
			if (!isset($params[$key])) {
				$params[$key] = '';
			}
		}

		$orders = JModelLegacy::getInstance('orders', 'JshoppingModel');

		$this->loadLanguageFile();

		include(dirname(__FILE__).'/adminparamsform.php');
	}

    function nofityFinish($pmconfigs, $order, $rescode)
	{
		include(dirname(__FILE__)."/zpayment_notify.php");
	}
	function checkTransaction($pmconfigs, $order, $act){
    return array(1, '');
	}

	function showEndForm($pmconfigs, $order)
	{
		$shop_id = $pmconfigs['zpayment_shop_id'];
		$init_pass = $pmconfigs['zpayment_init_pass'];
        $email = $order->email;
		$purpose=sprintf(_JSHOP_PAYMENT_NUMBER, $order->order_number);
		$total = number_format(floatval($order->order_total), 2, '.', '');
		$desc='ORDER NO '.$order->order_id;
		$zpsign=md5($shop_id.$order->order_id.$total.$init_pass);
        ?>
           <html><head><meta http-equiv="content-type" content="text/html; charset=utf-8" />
			</head>
			<body>
			  <form id="paymentform" action="https://z-payment.com/merchant.php" name="paymentform" method="POST" accept-charset="utf-8">
			  <input name='LMI_PAYEE_PURSE' value='<?php print $shop_id ?>' type='hidden'>
			  <input name="LMI_PAYMENT_NO" value='<?php echo($order->order_id); ?>' type="hidden">
			  <input name="LMI_PAYMENT_DESC" value='<?php echo($purpose); ?>' type="hidden">
			  <input name="LMI_PAYMENT_AMOUNT" value='<?php echo($total); ?>' type="hidden">
			  <input name="CLIENT_EMAIL" value='<?php echo($email); ?>' type="hidden">
			  <input name="ZP_SIGN" value='<?php echo($zpsign); ?>' type="hidden">

				</form>
			<?php echo _JSHOP_REDIRECT_TO_PAYMENT_PAGE;  ?>
			<br>
			<script type="text/javascript">document.getElementById('paymentform').submit();</script>
			</body>
		</html>
		<?php
		die();
	}

}
?>